package ast

import (
	"testing"
)

func TestObjCTypeParam(t *testing.T) {
	nodes := map[string]testNode{
		`0x7f9bf3033240 'int'`: testNode{&ObjCTypeParam{
			Addr:       0x7f9bf3033240,
			Type:       "int",
			ChildNodes: []Node{},
		},
			0x7f9bf3033240,
			Position{},
			[]Node{},
		},
		`0x7f9bf3035c20 'unsigned int'`: testNode{&ObjCTypeParam{
			Addr:       0x7f9bf3035c20,
			Type:       "unsigned int",
			ChildNodes: []Node{},
		},
			0x7f9bf3035c20,
			Position{},
			[]Node{},
		},
	}

	runNodeTests(t, nodes)
}
